
<template>
    <el-container style="height: 100%">
        <el-header color="#333">
            <commonheader></commonheader>
        </el-header>
        <el-container>
            <el-aside width="auto">
                <commonaside></commonaside>
            </el-aside>
            <el-main>
              <div class="tabControl">
                  <el-tabs v-model="activeName" @tab-click="handleClick">
                    <el-tab-pane label="食品餐品审核" name="Food">
                      <el-table :data="FoodList" style="width: 100%">
                          <el-table-column type="expand">
                            <template slot-scope="props">
                              <el-form label-position="left" inline class="demo-table-expand">
                                <el-form-item label="食品名称">
                                  <span>{{ props.row.foodName }}</span>
                                </el-form-item>
                                <el-form-item label="食品成分">
                                  <span>{{ props.row.foodIngredient }}</span>
                                </el-form-item>
                                <el-form-item label="食品类别">
                                  <span>{{ props.row.foodCategory }}</span>
                                </el-form-item>
                                <el-form-item label="食品价格">
                                  <span>{{ props.row.foodPrice }}</span>
                                </el-form-item>
                                <el-form-item label="食品热量:">
                                  <span >{{ props.row.foodCalorie }}</span>
                                </el-form-item>
                                <el-form-item label="食品状态:">
                                  <el-tag
                                    :type="props.row.foodCensorStatus === 0 ? 'info':'danger'"
                                    disable-transitions>{{props.row.foodCensorStatus === 0 ? '待审核':'审核失败'}}</el-tag>
                                </el-form-item>
                                <el-form-item style="width: 100%;" label="食品介绍">
                                  <span>{{ props.row.foodIntroduction }}</span>
                                </el-form-item>
                                <el-form-item style="width: 100%;" label="食品介绍" v-if="props.row.foodCensorMsg !== null">
                                  <span>{{ props.row.foodCensorMsg }}</span>
                                </el-form-item>
                                <el-form-item label="食品图片">
                                  <img :src="props.row.foodImage" style="height: 225px;">
                                </el-form-item>
                                <el-form-item style="width: 100%; text-align:center;">
                                  <el-button type="success" @click="Accept(0, props.row.foodCensorId)" v-if="props.row.foodCensorStatus === 0">通过</el-button>
                                  <el-button type="danger" @click="rejectMsg(0, props.row.foodCensorId)" v-if="props.row.foodCensorStatus === 0">不通过</el-button>
                                </el-form-item>
                              </el-form>
                            </template>
                          </el-table-column>
                          <el-table-column
                            label="申请编号"
                            prop="foodCensorId">
                          </el-table-column>
                          <el-table-column
                            label="食品名称"
                            prop="foodName">
                          </el-table-column>
                          <el-table-column
                            label="食品热量"
                            prop="foodCalorie">
                          </el-table-column>
                          <el-table-column
                            label="食品价格"
                            prop="foodPrice">
                          </el-table-column>
                          <el-table-column
                            label="审请日期"
                            prop="foodCensorCreateDateFormat">
                          </el-table-column>
                        <el-table-column label="操作">
                          <template slot-scope="scope">
                            <el-button type="text" @click="Accept(0, scope.row.foodCensorId)" size="small" v-if="scope.row.foodCensorStatus === 0">通过</el-button>
                            <el-button type="text" @click="rejectMsg(0, scope.row.foodCensorId)" size="small" v-if="scope.row.foodCensorStatus === 0">不通过</el-button>
                          </template>
                        </el-table-column>
                      </el-table>
                    </el-tab-pane>
                    <el-tab-pane label="健身服务审核审核" name="Gym">
                      <el-table :data="GymList" style="width: 100%">
                          <el-table-column type="expand">
                            <template slot-scope="props">
                              <el-form label-position="left" inline class="demo-table-expand">
                                <el-form-item label="服务名称">
                                  <span>{{ props.row.serviceName }}</span>
                                </el-form-item>
                                <el-form-item label="服务类别">
                                  <span>{{ props.row.category }}</span>
                                </el-form-item>
                                <el-form-item label="服务时间">
                                  <span>{{ props.row.serviceTime }}</span>
                                </el-form-item>
                                <el-form-item label="服务地址">
                                  <span>{{ props.row.serviceLocation }}</span>
                                </el-form-item>
                                <el-form-item label="审核状态:">
                                  <el-tag
                                    :type="props.row.serviceCensorStatus === 0 ? 'info':'danger'"
                                    disable-transitions>{{props.row.serviceCensorStatus === 0 ? '待审核':'审核失败'}}</el-tag>
                                </el-form-item>
                                <el-form-item style="width: 100%;" label="食品介绍">
                                  <span>{{ props.row.serviceIntroduction }}</span>
                                </el-form-item>
                                <el-form-item style="width: 100%;" label="食品介绍" v-if="props.row.serviceCensorMsg !== null">
                                  <span>{{ props.row.serviceCensorMsg }}</span>
                                </el-form-item>
                                <el-form-item label="食品图片">
                                  <img :src="props.row.serviceImage" style="height: 225px;">
                                </el-form-item>
                                <el-form-item style="width: 100%; text-align:center;">
                                  <el-button type="success" @click="Accept(1, props.row.serviceCensorId)" v-if="props.row.serviceCensorStatus === 0">通过</el-button>
                                  <el-button type="danger" @click="rejectMsg(1, props.row.serviceCensorId)" v-if="props.row.serviceCensorStatus === 0">不通过</el-button>
                                </el-form-item>
                              </el-form>
                            </template>
                          </el-table-column>
                          <el-table-column
                            label="申请编号"
                            prop="foodCensorId">
                          </el-table-column>
                          <el-table-column
                            label="服务名称"
                            prop="serviceName">
                          </el-table-column>
                          <el-table-column
                            label="服务热量"
                            prop="serviceCalorie">
                          </el-table-column>
                          <el-table-column
                            label="服务时间"
                            prop="serviceTime">
                          </el-table-column>
                          <el-table-column
                            label="申请日期"
                            prop="serviceCensorCreateDateFormat">
                          </el-table-column>
                        <el-table-column label="操作">
                          <template slot-scope="scope">
                            <el-button type="text" @click="Accept(1, scope.row.serviceCensorId)" size="small" v-if="scope.row.serviceCensorStatus === 0">通过</el-button>
                            <el-button type="text" @click="rejectMsg(1, scope.row.serviceCensorId)" size="small" v-if="scope.row.serviceCensorStatus === 0">不通过</el-button>
                          </template>
                        </el-table-column>
                      </el-table>
                    </el-tab-pane>
                  </el-tabs>
              </div>
            </el-main>
        </el-container>
    </el-container>
</template>

<script>
import AdminRecognize from '@/services/AdminRecognize'
import commonaside from '../components/commonaside.vue'
import commonheader from '../components/commonheader.vue'

export default {
  components: {
    commonaside,
    commonheader
  },

  name: 'ServiceRecognize',
  data () {
    return {
      activeName: 'Food',
      FoodList: [],
      GymList: [],
      user: {}
    }
  },
  async created () {
    if (this.$store.state.token === '') {
      this.$router.go(-1)
      this.$message({
        showClose: true,
        message: '用户尚未登陆,无法访问审核界面,请先登陆……',
        type: 'error'
      })
    }
    await this.getFoodList()
    await this.getGymList()
  },
  methods: {
    async getFoodList () {
      try {
        const response = await AdminRecognize.getFoodService({
          headers: {'Authorization': this.$store.state.token}
        })
        this.FoodList = response.data.data.foodCensorList
      } catch (error) {
        this.$message({
          type: 'error',
          message: error.response === undefined || typeof error.response.data === 'undefined' ? '网络错误,不可达' : error.response.data.msg
        })
        this.$router.go(-1)
      }
    },
    async getGymList () {
      try {
        const response = await AdminRecognize.getGymService({
          headers: {'Authorization': this.$store.state.token}
        })
        this.GymList = response.data.data.serviceCensorList
      } catch (error) {
        this.$message({
          type: 'error',
          message: error.response === undefined || typeof error.response.data === 'undefined' ? '网络错误,不可达' : error.response.data.msg
        })
        this.$router.go(-1)
      }
    },
    handleClick (tab, event) {
      console.log(tab, event)
    },
    async Accept (type, Id) {
      try {
        console.log(type)
        let response
        if (type === 0) {
          console.log(this.$store.state.token)
          response = await AdminRecognize.FoodServiceAccept(Id, {
            headers: {'Authorization': this.$store.state.token}
          })
          console.log('complete')
        } else if (type === 1) {
          response = await AdminRecognize.GymServiceAccept(Id, {
            headers: {'Authorization': this.$store.state.token}
          })
        }
        console.log(response.data.code, response.data.msg)
        if (response.data === undefined || response.data.code !== 200) {
          this.$message({
            showClose: true,
            message: response.data === undefined ? '网络错误,无法访问' : response.data.msg,
            type: 'error'
          })
        } else {
          this.$message({
            showClose: true,
            message: response.data.msg,
            type: 'success'
          })
        }
      } catch (error) {
        console.log('error')
        this.$message({
          showClose: true,
          message: error.response === undefined || typeof error.response.data === 'undefined' ? '网络错误,无法访问' : error.response.data.msg,
          type: 'error'
        })
      }
      this.getFoodList()
      this.getGymList()
      this.$forceUpdate()
    },
    rejectMsg (type, Id) {
      this.$prompt('请输入您的反馈', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消'
      }).then(({ value }) => {
        this.Reject(type, value, Id)
      }).catch(() => {
        this.$message({
          type: 'info',
          message: '已取消审核操作'
        })
      })
    },
    async Reject (type, Comment, Id) {
      try {
        let response
        console.log('reject')
        if (type === 0) {
          response = await AdminRecognize.FoodServiceReject(Id, {
            foodCensorMsg: Comment
          }, {
            headers: {'Authorization': this.$store.state.token}
          })
        } else if (type === 1) {
          response = await AdminRecognize.GymServiceReject(Id, {
            serviceCensorMsg: Comment
          }, {
            headers: {'Authorization': this.$store.state.token}
          })
        }
        console.log(response.data.code, response.data.msg)
        if (response.data === undefined || response.data.code !== 200) {
          this.$message({
            showClose: true,
            message: response.data === undefined ? '网络错误,无法访问' : response.data.msg,
            type: 'error'
          })
        } else {
          this.$message({
            showClose: true,
            message: response.data.msg,
            type: 'success'
          })
        }
      } catch (error) {
        this.$message({
          showClose: true,
          message: error.response === undefined || typeof error.response.data === 'undefined' ? '网络错误,无法访问' : error.response.data.msg,
          type: 'error'
        })
      }
      this.getFoodList()
      this.getGymList()
      this.$forceUpdate()
    }
  }
}

</script>

<style scoped>
  .demo-table-expand {
    font-size: 0;
  }
  .demo-table-expand label {
    width: 90px;
    color: #99a9bf;
  }
  .demo-table-expand .el-form-item {
    margin-right: 0;
    margin-bottom: 0;
    width: 50%;
  }
  .el-header {
      background-color: #333;
  }
  .el-main {
      padding-top: 0;
  }
</style>
